New Expansions

Why won't that blasted mod show up in game? Hopefully we know!
Post Reply
SammyGirl
Reactions:
Posts: 2
Joined: January 19th, 2019, 8:40 pm

New Expansions

Post by SammyGirl » January 19th, 2019, 8:52 pm

So I know this might be silly, but I've only just now purchased the Seasons and Island Paradise expansions for the Sims 3. For years I've played using Master Controller, Overwatch, and Consigner. I LOVE those mods. They fixed what was a very broken game for me. So now I've installed the new expansion packs (being careful to install them according to their order of release) and updated my game to version 1.54.95.022001 as required by the install process.

My game began crashing on the loading screen when I selected one of my old saves. After some troubleshooting, clearing out the cache files, and removing CC and systematically replacing it back into the system, I discovered that the problem rested in my old mods....yes, my very favorite Overwatch, Master Controller, and Consigner. I'm so sad now!

I desperately want to reinstall the mods to keep my game running at peak performance levels, but there's just one problem: I don't want to use origin, and I'm scared to patch my game to the latest update because years ago, when I patched my game, it broke and I had to do a complete uninstal and reinstall to fix it. Since then I play the Sims 3 offline with no patches, and I don't use the launcher to boot it up....

Is there any way to access the versions of Overwatch and Master Controller that will work with my current version of the game?

Best Answer by igazor » January 19th, 2019, 9:24 pm
Hi there. Afraid you have a challenge before you. There is no path to getting versions of the mods intended for Patch 1.54 and these versions are so old that they are out of support here. Our recommendation is to patch up to 1.67. There shouldn't be anything game-breaking about this, but don't try to patch by way of the Launcher as that one is indeed prone to failure. EA offers a 1.67 SuperPatcher as a standalone file that, while a huge file to download at over 1.5 GB, is very easy to run once you have it. Origin is not a factor, just deny any offers to have an Origin controlled game if they show up.
https://help.ea.com/en-us/help/the-sims ... er-patcher

Once you are on 1.67, the current versions of all mods should work properly for you and the Launcher bypass will still work as well.

Note that it's not the case that you have never patched your game because the EP installers you just used actually did this to get you 1.54, they just didn't go far enough to bring you to a current level. Also note that if you ever do need to reinstall, there is no need to go in order of release, this is a widely distributed myth that is just not true for TS3 (not that this is much consolation, I agree that reinstalling is always painful no matter how it's done).

GO TO FULL POST ➙

User avatar
igazor
Organizer
Reactions:
Posts: 12063
Joined: April 8th, 2013, 6:00 pm
Answers: 50

New Expansions

Post by igazor » January 19th, 2019, 9:24 pm

Hi there. Afraid you have a challenge before you. There is no path to getting versions of the mods intended for Patch 1.54 and these versions are so old that they are out of support here. Our recommendation is to patch up to 1.67. There shouldn't be anything game-breaking about this, but don't try to patch by way of the Launcher as that one is indeed prone to failure. EA offers a 1.67 SuperPatcher as a standalone file that, while a huge file to download at over 1.5 GB, is very easy to run once you have it. Origin is not a factor, just deny any offers to have an Origin controlled game if they show up.
https://help.ea.com/en-us/help/the-sims ... er-patcher

Once you are on 1.67, the current versions of all mods should work properly for you and the Launcher bypass will still work as well.

Note that it's not the case that you have never patched your game because the EP installers you just used actually did this to get you 1.54, they just didn't go far enough to bring you to a current level. Also note that if you ever do need to reinstall, there is no need to go in order of release, this is a widely distributed myth that is just not true for TS3 (not that this is much consolation, I agree that reinstalling is always painful no matter how it's done).

User avatar
sittingbear
Reactions:
Posts: 2380
Joined: January 20th, 2017, 6:00 pm
Answers: 4

New Expansions

Post by sittingbear » January 19th, 2019, 9:25 pm

You don't need to go by the order of release to install EP's and SP's for The Sims 3 they can be installed in any order use the SuperPatcher to bring your game up to 1.67
Don't know what OS you're using but here's the one for Windows https://simsvip.com/2014/01/24/sims-3-g ... -67-12414/

User avatar
igazor
Organizer
Reactions:
Posts: 12063
Joined: April 8th, 2013, 6:00 pm
Answers: 50

New Expansions

Post by igazor » January 19th, 2019, 9:59 pm

By the way, I've just checked and 1.54 was never an official patch level. What happened was that was the patch level included on the IP discs but by the time the EP went to market, Patch 1.55 was already out. Thus there were never any NRaas mods nor likely any from any other mod developer made for 1.54 because they never would have had it to work with. The same thing happened with ITF, the discs shipped with 1.62 but 1.63 was the current patch level by the time anyone got things installed (this stuff is kind of almost lost to history now).

SammyGirl
Reactions:
Posts: 2
Joined: January 19th, 2019, 8:40 pm

New Expansions

Post by SammyGirl » January 20th, 2019, 2:05 pm

Thank you so much!

I downloaded the super patcher, patched the game, and then installed the new versions of the mods. Played for about 30 minutes and so far everything seems to be working as it should. I'll have to play with it more after work just to be sure, but for now everything is looking great!

Post Reply